Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.cldc.i18n
Class StreamWriter

    java.lang.Object
      java.io.Writer
          com.sun.cldc.i18n.StreamWriter

Direct Known Subclasses:
  ISO8859_1_Writer

    public abstract class StreamWriter

extends Writer

General prototype for character converting stream writers.

Version:
  1.0 11/16/99

Field Summary
`OutputStream` | `out` Output stream to write to

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`StreamWriter()`

Method Summary
`void` | `close()` Close the writer and the output stream.
`void` | `flush()` Flush the writer and the output stream.
`Writer` | `open(OutputStream out, String enc)` Open the writer
`abstract int` | `sizeOf(char[] array, int offset, int length)` Get the size in bytes of an array of chars

Methods inherited from class java.io.Writer
`write, write, write, write, write`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### out

    public OutputStream out

  Output stream to write to

Constructor Detail

### StreamWriter

    public StreamWriter()

Method Detail

### open

    public Writer open(OutputStream out,
                       String enc)
                throws UnsupportedEncodingException

  Open the writer

  Throws:
    `UnsupportedEncodingException`

### flush

    public void flush()
               throws IOException

  Flush the writer and the output stream.

  Specified by:
    `flush` in class `Writer`
  Throws:
    `IOException` - If an I/O error occurs

### close

    public void close()
               throws IOException

  Close the writer and the output stream.

  Specified by:
    `close` in class `Writer`
  Throws:
    `IOException` - If an I/O error occurs

### sizeOf

    public abstract int sizeOf(char[] array,
                               int offset,
                               int length)

  Get the size in bytes of an array of chars

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"